/*
 *    Copyright (c) Yaron Keren 1994-1996. All rights reserved.
 */
#include <stdlib.h>
#include <string.h>
#undef abs
#if defined(__WINDOWS_386__) || defined(WIN32) || defined(_WIN32)
#ifndef __WIN32__
#define __WIN32__ 1
#endif
#endif
#if defined(_WINDOWS) || defined(__WIN32__)
#ifndef _Windows
#define _Windows
#endif
#endif
#if defined(_Windows)
#include <windows.h>
#endif
int l_418(char *l_419, int l_420) {
const char l_1587[]="\073\n";
char *p=strtok(l_419,l_1587);
do {
#if defined(_Windows)
UINT l_1092=WinExec(p, SW_SHOW);
if (l_1092<32) {
return(-1);
}
#if defined(__WIN32__)
l_420=l_420+1;
#else
if (l_420) {
while (GetModuleUsage(l_1092)) {
Yield();
}
}
#endif
#else
int l_1092=system(p);
l_420=l_420+1;
if (l_1092==-1) {
return(-1);
}
#endif
p=strtok(NULL,l_1587);
} while (p);
return(0);
}
